
%open up datalogging file
clock_now = clock; %gets a 6-element vector of the current date and time in decimal form [year month day hour minute seconds]
clock_now(6) = round(clock_now(6)); %round to the nearest second
date_and_time_string = ''; %initialize

for i = 1:1:6 %build up the time into a string
    date_and_time_string = [date_and_time_string,num2str(clock_now(i),'%02d')];
    if i==3 || i==5 %after the day, and after the minute, add an underscore in the file name
        date_and_time_string = [date_and_time_string,'_']; %add an underscore (_)
    end
end
%create the "data" directory in the current location, if necessary
if exist('data')~=7 %if "data" does not yet exist
    mkdir('data'); %creat it
end
file_name = ['data/data_',date_and_time_string,'.csv'];
fid = fopen(file_name,'w');

%reception des mesures du systme
%lancement du temps
tic;

global keep_going;
keep_going = true;
loop_i = 1; %loop counter (which loop # are we on?)

%format du graphe pour la pression : pression
%dans le GUI : graphique
valeurMaxiPression=5;
ylim(handles.pression,[0,valeurMaxiPression])
title(handles.pression,'Mesure des pressions')
xlabel(handles.pression,'temps')
ylabel(handles.pression,'pression en bar')
grid(handles.pression,'on')
%format du graphe pour les tempratues : graphique
%dans le GUI : temperature
valeurMaxiTemperature=5;
ylim(handles.temperature,[0,valeurMaxiTemperature])
title(handles.temperature,'Mesure des tempratures')
xlabel(handles.temperature,'temps')
ylabel(handles.temperature,'tempratures en c')
grid(handles.temperature,'on')

%preparation des graphiques
num_itns2plot = 100;  %number of iterations to plot.
plot_handles = NaN(num_itns2plot,7); %create an array of NaNs
handle_i = 1; %a counter (handle index) to know where to place the next value
%in the above arrays


while keep_going
     %see if the stop button has been pressed (to stop the loop)
   % stop_btn_data = get(handles.stop_btn,'UserData'); %grab the stop_btn user data
    %keep_going = ~stop_btn_data.stop; %when stop button is pressed, its stop_btn_data.stop value is changed from 0 to 1, so ~1 will be 0, making keep_going false, thereby
                                      %forcing the while loop to stop
    %lancer le modle
sim('mesurePressionDanfossAKS.mdl');
temps = toc;% enregistrement du temps coul depuis de dbut de l'acquisition
toto=[mesures(1,1),mesures(1,2),mesures(1,3),mesures(1,4),mesures(1,5),mesures(1,6),temps];
%plot_handles(handle_i,1)=loop_i;
%plot_handles(handle_i,2)=toto(1);
%recherche valeur maximale
for i=1:1:2;
    if toto(i)>valeurMaxiPression
        valeurMaxiPression=toto(i)+5;
    end
end
for i=3:1:6;
    if toto(i)>valeurMaxiTemperature
        valeurMaxiTemperature=toto(i)+5;
    end
end
% plot data

 % limite des graphiques
        
        xlim(handles.temperature,[0,loop_i]);
        ylim(handles.temperature,[0,valeurMaxiTemperature]);
        xlim(handles.pression,[0,loop_i]);
        ylim(handles.pression,[0,valeurMaxiPression]);
   % end
%plot mesures
plot(handles.temperature,loop_i,toto(3),'*b',loop_i,toto(4),'+red',loop_i,toto(5),'*black',loop_i,toto(6),'+b');
plot(handles.pression,loop_i,toto(1),'*b',loop_i,toto(2),'+r');

set(handles.textTime,'String',num2str(temps));

handle_i=handle_i+1;
%fin graphique


fomat_donnees='';%initialisation de la mise en forme des mesures dans le fichier
  %Premire boucle: initialisation de l'acquisition des mesures
  if loop_i==1
        %plot the legend
      
        
        %Write the header to the datalogging file
        %General Header notes
        fprintf(fid,['Acquisition des tempratures et pression'...
                     '\n\n']);
        %Column Numbers
        for i=1:1:length(toto)
            fprintf(fid,'%d,',i);
            if i==length(toto)
                fprintf(fid,'\n');
            end
        end
        %Print Column Names
        fprintf(fid,'BP,HP, T1 , T2 , T3 , T4, temps');
        fprintf(fid,'\n');
        %one-time format string creation
        format_string = ''; %initialize string
        for i = 1:1:length(toto);
            format_string = strcat(format_string,'%3.2f'); %append the proper # of format strings
            if i < length(toto)
                format_string = strcat(format_string,','); %add in the commas for all but the last one
            else %i = length(data_to_log)
                format_string = strcat(format_string,'\n'); %add in the new line command
            end
        end
                
                
   end %end of if loop_i==1
 %Actually log the data into the file (once per flight controller loop!)            
    fprintf(fid,format_string,toto);
    
    loop_i = loop_i + 1; %incrementation du compteur de boucle
    %attente entre deux mesures
    pause(60*1);
    %if toc>50
     %   keep_going=false;
    %end
end
fclose(fid); %close the datalogging file
delete(instrfind({'Port'},{'COM11'}));% fermeture de la liaison COM11
